Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cmmf
Class RevRequest

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cmmf.RevRequest

All Implemented Interfaces:
  ASN1Value

public class RevRequest
extends java.lang.Object
implements ASN1Value

CMMF RevRequest.

     RevRequest ::= SEQUENCE {
          issuerName      Name,
          serialNumber    INTEGER,
          reason          CRLReason,
          passphrase      OCTET STRING OPTIONAL,
          comment         UTF8String OPTIONAL }

Inner Class Summary
`static class` | `RevRequest.Template` A Template class for decoding a `RevRequest`.

Field Summary
`static ENUMERATED` | `affiliationChanged` A `CRLReason`, which can be used in the `reason` field.
`static ENUMERATED` | `cACompromise` A `CRLReason`, which can be used in the `reason` field.
`static ENUMERATED` | `certificateHold` A `CRLReason`, which can be used in the `reason` field.
`static ENUMERATED` | `cessationOfOperation` A `CRLReason`, which can be used in the `reason` field.
`private UTF8String` | `comment`
`private ANY` | `issuerName`
`static ENUMERATED` | `keyCompromise` A `CRLReason`, which can be used in the `reason` field.
`private OCTET_STRING` | `passphrase`
`private ENUMERATED` | `reason`
`static ENUMERATED` | `removeFromCRL` A `CRLReason`, which can be used in the `reason` field.
`private SEQUENCE` | `sequence`
`private INTEGER` | `serialNumber`
`static ENUMERATED` | `superseded` A `CRLReason`, which can be used in the `reason` field.
`private static Tag` | `TAG`
`static ENUMERATED` | `unspecified` A `CRLReason`, which can be used in the `reason` field.

Constructor Summary
`private` | `RevRequest()`
`` | `RevRequest(ANY issuerName, INTEGER serialNumber, ENUMERATED reason, OCTET_STRING passphrase, UTF8String comment)` Constructs a new `RevRequest` from its components.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`UTF8String` | `getComment()` Returns the `comment` field.
`ANY` | `getIssuerName()` Returns the `issuerName` field as an ANY.
`OCTET_STRING` | `getPassphrase()` Returns the `passphrase` field.
`ENUMERATED` | `getReason()` Returns the `reason` field, which should indicate the reason for the revocation.
`INTEGER` | `getSerialNumber()` Returns the `serialNumber` field.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### unspecified

    public static final ENUMERATED unspecified

  A `CRLReason`, which can be used in the `reason` field.

### keyCompromise

    public static final ENUMERATED keyCompromise

  A `CRLReason`, which can be used in the `reason` field.

### cACompromise

    public static final ENUMERATED cACompromise

  A `CRLReason`, which can be used in the `reason` field.

### affiliationChanged

    public static final ENUMERATED affiliationChanged

  A `CRLReason`, which can be used in the `reason` field.

### superseded

    public static final ENUMERATED superseded

  A `CRLReason`, which can be used in the `reason` field.

### cessationOfOperation

    public static final ENUMERATED cessationOfOperation

  A `CRLReason`, which can be used in the `reason` field.

### certificateHold

    public static final ENUMERATED certificateHold

  A `CRLReason`, which can be used in the `reason` field.

### removeFromCRL

    public static final ENUMERATED removeFromCRL

  A `CRLReason`, which can be used in the `reason` field.

### issuerName

    private ANY issuerName

### serialNumber

    private INTEGER serialNumber

### reason

    private ENUMERATED reason

### passphrase

    private OCTET_STRING passphrase

### comment

    private UTF8String comment

### sequence

    private SEQUENCE sequence

### TAG

    private static final Tag TAG

Constructor Detail

### RevRequest

    private RevRequest()

### RevRequest

    public RevRequest(ANY issuerName,
                      INTEGER serialNumber,
                      ENUMERATED reason,
                      OCTET_STRING passphrase,
                      UTF8String comment)

  Constructs a new `RevRequest` from its components.
  Parameters:
    `issuerName` - The `issuerName` field.
    `serialNumber` - The `serialNumber` field.
    `reason` - The `reason` field. The constants defined in this class may be used.
    `passphrase` - The `passphrase` field. This field is optional, so `null` may be used.
    `comment` - The `comment` field. This field is optional, so `null` may be used.

Method Detail

### getIssuerName

    public ANY getIssuerName()

  Returns the `issuerName` field as an ANY.

### getSerialNumber

    public INTEGER getSerialNumber()

  Returns the `serialNumber` field.

### getReason

    public ENUMERATED getReason()

  Returns the `reason` field, which should indicate the reason for the revocation. The currently supported reasons are:

       CRLReason ::= ENUMERATED {
            unspecified             (0),
            keyCompromise           (1),
            cACompromise            (2),
            affiliationChanged      (3),
            superseded              (4),
            cessationOfOperation    (5),
            certificateHold         (6),
            removeFromCRL           (8) }

  These are all defined as constants in this class.

### getPassphrase

    public OCTET_STRING getPassphrase()

  Returns the `passphrase` field. Returns `null` if the field is not present.

### getComment

    public UTF8String getComment()

  Returns the `comment` field. Returns `null` if the field is not present.

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.
  Specified by:
    `encode` in interface `ASN1Value`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.
  Specified by:
    `encode` in interface `ASN1Value`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD